Page MenuHomePhabricator

[LoopVectorize] NFC: Change computeFeasibleMaxVF to operate on ElementCount.
ClosedPublic

Authored by sdesmalen on Feb 4 2021, 4:57 AM.

Details

Summary

This patch is NFC and changes occurrences of unsigned MaxVectorSize
to work on type ElementCount.

This patch is a preparatory patch with the ultimate goal of making
computeMaxVF() return both a max fixed VF and a max scalable VF,
so that selectVectorizationFactor() can pick the most cost-effective
vectorization factor.

Diff Detail

Event Timeline

sdesmalen created this revision.Feb 4 2021, 4:57 AM
sdesmalen requested review of this revision.Feb 4 2021, 4:57 AM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 4 2021, 4:57 AM

Just FYI, this patch is part of some refactoring that prepares the LV for creating VPlans with a scalable VF.
I've posted a few more patches (without adding reviewers yet) to provide some context of why these NFC changes are required and what they're working towards.

Hope that's helpful!

This revision is now accepted and ready to land.Feb 9 2021, 6:02 AM
This revision was landed with ongoing or failed builds.Feb 10 2021, 1:11 AM
This revision was automatically updated to reflect the committed changes.